Skip to main content
PATCH
/
user-api-keys
/
{api_key_id}
Update user API key
curl --request PATCH \
  --url https://api.stack-auth.com/api/v1/user-api-keys/{api_key_id} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "description": "<string>",
  "created_at_millis": 123,
  "is_public": true,
  "value": {
    "last_four": "<string>"
  },
  "type": "<string>",
  "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
  "expires_at_millis": 123,
  "manually_revoked_at_millis": 123
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-apps-support.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

api_key_id
string
required

Body

application/json
description
string
revoked
boolean

Response

200 - application/json

Successful response

id
string
required
description
string
required
created_at_millis
number
required
is_public
boolean
required
value
object
required
type
string
required
user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

expires_at_millis
number
manually_revoked_at_millis
number